--- libraries/integer-gmp/gmp/ghc.mk.orig	2010-05-24 02:23:44.000000000 +0200
+++ libraries/integer-gmp/gmp/ghc.mk		2010-05-24 04:03:32.000000000 +0200
@@ -36,6 +36,12 @@
 BUILD_SHARED=no
 endif
 
+ifeq "$(HOSTPLATFORM)" "x86_64-unknown-freebsd"
+FORCE_PIC=--with-pic=yes
+else
+FORCE_PIC=
+endif
+
 # In a bindist, we don't want to know whether /this/ machine has gmp,
 # but whether the machine the bindist was built on had gmp.
 ifeq "$(BINDIST)" "YES"
@@ -117,7 +123,7 @@
 	    export PATH; \
 	    cd gmpbuild && \
 	    CC=$(WhatGccIsCalled) NM=$(NM) $(SHELL) configure \
-	          --enable-shared=no --host=$(PLATFORM) --build=$(PLATFORM)
+	          --enable-shared=no $(FORCE_PIC) --host=$(PLATFORM) --build=$(PLATFORM)
 	$(MAKE) -C libraries/integer-gmp/gmp/gmpbuild MAKEFLAGS=
 	$(CP) libraries/integer-gmp/gmp/gmpbuild/gmp.h libraries/integer-gmp/gmp/
 	$(CP) libraries/integer-gmp/gmp/gmpbuild/.libs/libgmp.a libraries/integer-gmp/gmp/
